Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Modules

Get Module Statistics
GET /training/modules/statistics
https://api.uat.relesystest.net/api/v1.4/training/modules/statistics
Get a list of Course Module Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseModuleId string / guid Filterable optional
courseModuleParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseModuleId":"38dfbfc9-b2d7-4bb5-8899-2b3fb72e63f3","userId":"f72bd7be-4bab-46b2-a549-2fa019105722","courseModuleParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":1.0,"performanceScore":0.94,"points":10},{"courseModuleId":"61aa4928-cf43-4002-a045-2a6b57e13513","userId":"d3b50cc6-f9fa-4967-83d2-ee3946c4c9aa","courseModuleParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseModuleId string / guid      
   courseModuleParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string